opensaml-3.0.1

Classes | Namespaces | Macros | Functions
MetadataFilter.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <saml/saml2/metadata/MetadataProvider.h>`
Include dependency graph for MetadataFilter.h:

## Classes
class | opensaml::saml2md::MetadataFilterContext
| Marker interface for supplying environmental context to filters. More...
class | opensaml::saml2md::BatchLoadMetadataFilterContext
| Environmental context for filtering of batch-loaded metadata. More...
class | opensaml::saml2md::MetadataFilter
| A metadata filter is used to process metadata after resolution and unmarshalling. More...
class | opensaml::saml2md::MetadataFilterException
| Exceptions related to metadata filtering More...

## Namespaces
namespace | opensaml
| Common classes for OpenSAML library.

## Macros
#define | BLACKLIST_METADATA_FILTER "Blacklist"
| MetadataFilter that deletes blacklisted entities.
#define | WHITELIST_METADATA_FILTER "Whitelist"
| MetadataFilter that deletes all but whitelisted entities.
#define | SIGNATURE_METADATA_FILTER "Signature"
| MetadataFilter that verifies signatures and filters out any that don't pass.
#define | REQUIREVALIDUNTIL_METADATA_FILTER "RequireValidUntil"
| MetadataFilter that enforces expiration requirements.
#define | ENTITYROLE_METADATA_FILTER "EntityRoleWhiteList"
| MetadataFilter that removes non-retained roles.
#define | ENTITYATTR_METADATA_FILTER "EntityAttributes"
| MetadataFilter that adds EntityAttributes extension.

## Functions
void | opensaml::saml2md::registerMetadataFilters ()
| Registers MetadataFilter classes into the runtime.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Processes metadata after it's been unmarshalled.